openstack-dashboard gives Internal Error 500 on Icehouse on Ubuntu 12.04

Bug #1292577 reported by Edward Hope-Morley on 2014-03-14
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
High
Unassigned
horizon (Ubuntu)
High
Unassigned
Trusty
High
Unassigned

Bug Description

Creating actual bug for the following as I am still hitting it - https://ask.openstack.org/en/question/12571/horizon-500-internal-error-in-ubuntu-icehouse/

James Page (james-page) wrote :

This is actually just a problem with Icehouse horizon on Ubuntu 12.04 via the cloud archive due to the bump in Apache 2.2->2.4

We can safely revert the change to the Apache configuration that causes this issue.

Changed in horizon (Ubuntu Trusty):
importance: Undecided → High
Changed in cloud-archive:
importance: Undecided → High
status: New → Triaged
Changed in horizon (Ubuntu Trusty):
status: New → Triaged
James Page (james-page) wrote :

Got it working,, Edited file /etc/apache2/conf-available/openstack-dashboard.conf and replace ' Require all granted ' with ' Allow from all Btw: I am using apache 2.2 in Ubuntu

James Page (james-page) on 2014-03-14
summary: - openstack-dashboard gives Internal Error 500 on Icehouse
+ openstack-dashboard gives Internal Error 500 on Icehouse on Ubuntu 12.04
Changed in horizon (Ubuntu Trusty):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2014.1~b3-0ubuntu2

---------------
horizon (1:2014.1~b3-0ubuntu2) trusty; urgency=medium

  * Ensure correct URL is used for logout/timeout (LP: #1243187):
    - d/p/ubuntu_settings.patch: Update LOGOUT_URL for /horizon prefix.
  * Ensure Apache configuration is backwards compatible with Apache 2.2
    (LP: #1292577):
    - d/openstack-dashboard.conf: Revert changes from 1:2014.1~b2-0ubuntu2.
 -- James Page <email address hidden> Fri, 14 Mar 2014 16:21:00 +0000

Changed in horizon (Ubuntu Trusty):
status: Fix Committed → Fix Released
James Page (james-page) on 2014-03-21
Changed in cloud-archive:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers